Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLButton

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLElementContainer
                        |
                        +--oracle.jdeveloper.html.HTMLScript
                              |
                              +--oracle.jdeveloper.html.DHTMLButton

Direct Known Subclasses:
  JSButton

public class DHTMLButton
extends HTMLScript

Version:
  PUBLIC

Field Summary
`protected DHTMLButtonElement` | `button`

Fields inherited from class oracle.jdeveloper.html.HTMLScript
`version`

Fields inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLButton()`
`DHTMLButton(java.lang.String name)`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getActionType()`
`boolean` | `getDefaultButton()`
`boolean` | `getEnabled()`
`java.lang.String` | `getGap()`
`java.lang.String` | `getLocatorControl()`
`java.lang.String` | `getLocatorObject()`
`java.lang.String` | `getName()`
`java.lang.String` | `getShape()`
`java.lang.String` | `getTargetFrame()`
`java.lang.String` | `getText()`
`java.lang.String` | `getUrl()`
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`void` | `setAction(java.lang.String act)`
`void` | `setActionType(java.lang.String ac)`
`void` | `setButton(DHTMLButtonElement button)`
`void` | `setDefaultButton(boolean defButton)`
`void` | `setEnabled(boolean enabled)`
`void` | `setGap(java.lang.String gap)`
`void` | `setLocatorControl(java.lang.String locControl)`
`void` | `setLocatorObject(java.lang.String locObject)`
`void` | `setName(java.lang.String name)`
`void` | `setShape(java.lang.String shp)`
`void` | `setTargetFrame(java.lang.String trgFrm)`
`void` | `setText(java.lang.String txt)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class oracle.jdeveloper.html.HTMLScript
`addFunction, renderContainerHeader, setVersion`

Methods inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`addElement, addElement, elementAt, indexOf, numberOfElements, removeElement, removeElement, removeElementAt, render, renderElementFooter, renderElementHeader`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### button

    protected DHTMLButtonElement button

Constructor Detail

### DHTMLButton

    public DHTMLButton()

### DHTMLButton

    public DHTMLButton(java.lang.String name)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setShape

    public void setShape(java.lang.String shp)

### getShape

    public java.lang.String getShape()

### setText

    public void setText(java.lang.String txt)

### getText

    public java.lang.String getText()

### setActionType

    public void setActionType(java.lang.String ac)

### getActionType

    public java.lang.String getActionType()

### setUrl

    public void setUrl(java.lang.String url)

### getUrl

    public java.lang.String getUrl()

### setTargetFrame

    public void setTargetFrame(java.lang.String trgFrm)

### getTargetFrame

    public java.lang.String getTargetFrame()

### setAction

    public void setAction(java.lang.String act)

### getAction

    public java.lang.String getAction()

### setEnabled

    public void setEnabled(boolean enabled)

### getEnabled

    public boolean getEnabled()

### setDefaultButton

    public void setDefaultButton(boolean defButton)

### getDefaultButton

    public boolean getDefaultButton()

### setGap

    public void setGap(java.lang.String gap)

### getGap

    public java.lang.String getGap()

### setLocatorControl

    public void setLocatorControl(java.lang.String locControl)

### getLocatorControl

    public java.lang.String getLocatorControl()

### setLocatorObject

    public void setLocatorObject(java.lang.String locObject)

### getLocatorObject

    public java.lang.String getLocatorObject()

### setButton

    public void setButton(DHTMLButtonElement button)

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Overrides:
    renderContainerFooter in class HTMLScript

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD